Subject: Re: bug#71179: [PATCH] In rgrep, check matching files before excluding files

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 May 2024 18:07:09 +0300

> Date: Sat, 25 May 2024 17:47:49 +0300
> Cc: [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> On 25/05/2024 17:13, Eli Zaretskii wrote:
> > Anyway, I suggested an approach that should leave everyone happy.  Why
> > are we still arguing?
> 
> New option has the usual problems:
> 
> * What to call it.
> * General proliferation of new options makes it harder to find each one.
> * Several days of arguing whether we can make the new behavior the 
> default one.

I already said that I'm okay with making the new behavior the default,
provided that we document the way of getting back old behavior.

The new option can be a defvar, from where I stand, if that makes
things easier.  Just don't make it an internal variable.